/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glass.ui.x11;

import com.sun.glass.ui.delegate.MenuBarDelegate;
import com.sun.glass.ui.delegate.MenuDelegate;

public class X11MenuBarDelegate implements MenuBarDelegate {

    public boolean createMenuBar() {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean insert(MenuDelegate menu, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean remove(MenuDelegate menu, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public long getNativeMenu() {
        //Currently no need for menu bars in X11
        return 0;
    }

}
